
Foreman - Bug #1878

Default kickstart template has double quotes in the wrong place - causes kernel panic

10/02/2012 04:53 AM - Rytis Sileika

Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This is what I had in my default ks template:

bootloader --location=mbr --append="nofb quiet splash=quiet --md5pass=<%= root_pass %>" 

 This generates illegal kernel boot options that cause kernel panic during the boot.

The line should be:

bootloader --location=mbr --append="nofb quiet splash=quiet" --md5pass=<%= root_pass %>

 Patch:

--- a/app/views/unattended/kickstart.rhtml

+++ b/app/views/unattended/kickstart.rhtml

@@ -8,9 +8,9 @@

 rootpw --iscrypted <%= root_pass %>

 firewall --service=ssh

 authconfig --useshadow --enablemd5

 timezone UTC

+bootloader --location=mbr --append="nofb quiet splash=quiet" --md5pass=<%= root_pass %>

-bootloader --location=mbr --append="nofb quiet splash=quiet --md5pass=<%= root_pass %>" 

 <% if @dynamic -%>

 %include /tmp/diskpart.cfg

 <% else -%>

 <%= @host.diskLayout %>

Associated revisions

Revision 0246bc1c - 10/03/2012 11:26 AM - Rytis Sileika

fixes #1878 - Double quote in the wrong place included invalid kernel boot option

History

#1 - 10/02/2012 06:13 AM - Rytis Sileika

Github pull request: https://github.com/theforeman/foreman/pull/164

#2 - 10/03/2012 11:27 AM - Ohad Levy

- Category set to Unattended installations

- Target version set to 1.1

#3 - 10/03/2012 12:19 PM - Rytis Sileika

- Status changed from New to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/164


Applied in changeset 0246bc1c979ea334aeb6dfd08e5c038262a0bd92.
